<?php
/**
 * Intreface DAO
 *
 * @author: http://phpdao.com
 * @date: 2021-09-05 00:27
 */
interface PartnertransferbetweenDAO{

	/**
	 * Get Domain object by primry key
	 *
	 * @param String $id primary key
	 * @Return Partnertransferbetween 
	 */
	public function load($id);

	/**
	 * Get all records from table
	 */
	public function queryAll();
	
	/**
	 * Get all records from table ordered by field
	 * @Param $orderColumn column name
	 */
	public function queryAllOrderBy($orderColumn);
	
	/**
 	 * Delete record from table
 	 * @param partnertransferbetween primary key
 	 */
	public function delete($partnertransferbetweenid);
	
	/**
 	 * Insert record to table
 	 *
 	 * @param Partnertransferbetween partnertransferbetween
 	 */
	public function insert($partnertransferbetween);
	
	/**
 	 * Update record in table
 	 *
 	 * @param Partnertransferbetween partnertransferbetween
 	 */
	public function update($partnertransferbetween);	

	/**
	 * Delete all rows
	 */
	public function clean();

	public function queryByPartneridfrom($value);

	public function queryByPartneridto($value);

	public function queryByPartnervalue($value);

	public function queryByComment($value);

	public function queryByPartnerdate($value);

	public function queryByUserid($value);

	public function queryByConditions($value);


	public function deleteByPartneridfrom($value);

	public function deleteByPartneridto($value);

	public function deleteByPartnervalue($value);

	public function deleteByComment($value);

	public function deleteByPartnerdate($value);

	public function deleteByUserid($value);

	public function deleteByConditions($value);


}
?>